import { type ActionTypes } from "@stakekit/api-hooks";
export declare const usePendingActionReview: () => {
    integrationData: import("purify-ts/Maybe").Maybe<import("@stakekit/api-hooks/dist/yieldYields200-6PERGfk7").o>;
    title: import("purify-ts/Maybe").Maybe<string>;
    amount: string;
    fee: string;
    rewardTokenDetailsProps: import("purify-ts/Maybe").Maybe<{
        type: "pendingAction";
        pendingAction: ActionTypes;
        rewardToken: import("purify-ts/Maybe").Maybe<{
            logoUri: string;
            providerName: string;
            symbols: import("react/jsx-runtime").JSX.Element[];
            rewardTokens: import("@stakekit/api-hooks/dist/yieldYields200-6PERGfk7").T[];
        }>;
    }>;
    token: import("purify-ts/Maybe").Maybe<import("@stakekit/api-hooks/dist/yieldYields200-6PERGfk7").T>;
    metaInfo: {
        showMetaInfo: false;
        metaInfoProps?: undefined;
    };
    isGasCheckWarning: boolean;
    gasCheckLoading: boolean;
    depositFeeUSD: import("purify-ts/Maybe").Maybe<string>;
    managementFeeUSD: import("purify-ts/Maybe").Maybe<string>;
    performanceFeeUSD: import("purify-ts/Maybe").Maybe<string>;
    feeConfigLoading: boolean;
};
